--------------------------------------------------
-- Glowing Players Script by Unreal Software    --
-- 09.27.2009 - www.UnrealSoftware.de           --
--------------------------------------------------

if sample==nil then sample={} end
sample.glowing={}

--------------------------------------
-- Clock                            --
--------------------------------------
time = 6*360
local x = 850 / 2
local y = 480 / 4

parse("mp_hudscale 1")

-- Glow Function
function sample.glowing.makeallglow()
	image("gfx/sprites/clock.png",x,y,2)
	id=image("gfx/sprites/clock_arrow.png",x,y,2)
	id2=image("gfx/sprites/clock_arrow.png",x,y,2)
end

-- Make Glow instantly after starting server
sample.glowing.makeallglow()

-- Make Glow after roundstart (because images are deleted on roundstart!)
addhook("startround","sample.glowing.startround")
addhook("ms100","sample.glowing.second")
function sample.glowing.startround()
	sample.glowing.makeallglow()
end

function sample.glowing.second()
	time = (time + 5) % (360 * 12)
	imagepos(id,x,y,time)
	imagepos(id2,x,y,(time / 360) * (360 / 12))
	parse("sv_daylighttime ".. (time / 12))
end